Package org.apache.felix.http.base.internal.registry

## Class PathResolverFactory

- java.lang.Object
- - org.apache.felix.http.base.internal.registry.PathResolverFactory

    public abstract class PathResolverFactory
    extends Object

The path resolver factory creates a path resolver for a pattern. The servlet spec supports different patterns - path mapping, a pattern starting with / and ending with /* - extension mapping, a pattern starting with *. - default mapping, the pattern / - root mapping, the pattern is the empty string - exact match Exact match is tried first, followed by longest match and finally extension match.

### Nested Class Summary

Nested Classes
`static class` `PathResolverFactory.AbstractMatcher`
`static class` `PathResolverFactory.DefaultMatcher`
`static class` `PathResolverFactory.ExactAndPathMatcher`
`static class` `PathResolverFactory.ExactMatcher`
`static class` `PathResolverFactory.ExtensionMatcher`
`static class` `PathResolverFactory.PathMatcher`
`static class` `PathResolverFactory.RegexMatcher`
`static class` `PathResolverFactory.RootMatcher`

### Constructor Summary

Constructors
`PathResolverFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static @NotNull PathResolver` `createPatternMatcher​(@Nullable ServletHandler handler, @NotNull String pattern)`
`static @NotNull PathResolver` `createRegexMatcher​(@NotNull String regex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathResolverFactory

    public PathResolverFactory()

### Method Detail

#### createPatternMatcher

    @NotNull
    public static @NotNull PathResolver createPatternMatcher​(@Nullable
                                                             @Nullable ServletHandler handler,
                                                             @NotNull
                                                             @NotNull String pattern)

#### createRegexMatcher

    @NotNull
    public static @NotNull PathResolver createRegexMatcher​(@NotNull
                                                           @NotNull String regex)